<?xml version="1.0" encoding="UTF-8"?>

<beans xmlns="http://www.springframework.org/schema/beans"
       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
       xmlns:aop="http://www.springframework.org/schema/aop"
       xmlns:tx="http://www.springframework.org/schema/tx"
       xmlns:p="http://www.springframework.org/schema/p"
       xsi:schemaLocation="
			http://www.springframework.org/schema/beans
			http://www.springframework.org/schema/beans/spring-beans-2.0.xsd
			http://www.springframework.org/schema/tx
			http://www.springframework.org/schema/tx/spring-tx-2.0.xsd
			http://www.springframework.org/schema/aop
			http://www.springframework.org/schema/aop/spring-aop-2.0.xsd">

    <bean id="iBatisBaseDaoTemplate" abstract="true" class="arg.ros.acc.daos.commons.IBatisBaseDAO"
		p:dataSource-ref="dataSource"
		p:sqlMapClient-ref="sqlMapClient"
		p:logger-ref="logger"
		p:messages-ref="messageAdapter"
	/>
	
    <bean id="iBatisBaseDaoMonitorTemplate" abstract="true" class="arg.ros.acc.daos.commons.IBatisBaseDAO"
		p:dataSource-ref="dataSource"
		p:sqlMapClient-ref="sqlMapClient"
		p:logger-ref="logger"
		p:messages-ref="messageAdapter"
	/>
	
    <bean id="baseDaoTemplate" abstract="true" class="arg.ros.acc.daos.commons.BaseDAO"
		p:dataSource-ref="dataSource"
		p:logger-ref="logger"
		p:configParams-ref="configParams"
		p:messages-ref="messageAdapter"
	/>
	
	<bean id="baseDaoTemplateMonitor" abstract="true" parent="baseDaoTemplate"
		p:dataSource-ref="dataSource"
	/>
	
	<!-- Conexion a FACTMS (Form Regular) -->	 
	<bean id="iBatisDaoFactMs" abstract="true" parent="iBatisBaseDaoTemplate" 
		p:dataSource-ref="dataSource"
	/>
	
	<!-- Commons -->
    <bean id="lupaDAO" class="arg.ros.acc.daos.commons.impl.LupaIBatisDAOImpl" parent="iBatisBaseDaoTemplate" />
    <bean id="lupaDAOFactMs" class="arg.ros.acc.daos.commons.impl.LupaIBatisDAOFactMsImpl" parent="iBatisDaoFactMs" />
    <bean id="lupaDAOMonitor" class="arg.ros.acc.daos.commons.impl.LupaIBatisDAOMonitorImpl" parent="iBatisBaseDaoMonitorTemplate" />
    <bean id="comboMonitorDAO" class="arg.ros.acc.daos.commons.impl.ComboIBatisDAOImpl" parent="iBatisBaseDaoMonitorTemplate" />
    <bean id="exportDAO" class="arg.ros.acc.daos.commons.impl.ExportIBatisDAOImpl" parent="iBatisBaseDaoTemplate" />
    <bean id="reportDAO" class="arg.ros.acc.daos.commons.impl.ReportIBatisDAOImpl" parent="iBatisBaseDaoTemplate" />
    <bean id="exportMonitorDAO" class="arg.ros.acc.daos.commons.impl.ExportIBatisDAOImpl" parent="iBatisBaseDaoMonitorTemplate" />
    <bean id="loginDAO" class="arg.ros.acc.daos.commons.impl.LoginIBatisDAOImpl" parent="iBatisBaseDaoTemplate"/>

	<!-- Cambiar parent -->
    <bean id="idiomasDAO" class="arg.ros.acc.daos.commons.impl.IdiomasIBatisDAOImpl" parent="iBatisBaseDaoTemplate" />
    <bean id="ldapDAO" class="arg.ros.acc.daos.commons.impl.LdapDAOImpl"
		p:ldapHost="${config.ldapHost}"
		p:ldapPort="${config.ldapPort}"
		p:ldapConnectionString="${config.ldapConnectionString}"
		p:contextSource-ref="ldapContextSource"
	/>
    <bean id="ldapDAO2" class="arg.ros.acc.daos.commons.impl.LdapDAOImpl"
		p:ldapHost="${config.ldapHost2}"
		p:ldapPort="${config.ldapPort2}"
		p:ldapConnectionString="${config.ldapConnectionString2}"
		p:contextSource-ref="ldapContextSource"
	/>
	
<!-- DS109105-00-001-SIMAF_-_Consulta_Histórica_de_Inhibiciones-->

	  <bean id="movimientoFisicoDAO" class="arg.ros.acc.daos.inhibiciones.impl.MovimientoFisicoIBatisDAOImpl" parent="iBatisBaseDaoTemplate" />
	
	
<!-- DS109105-00-002 Consulta de Zonas y Oficinas-->
	
	<bean id="zoNAOFICINAPFNNDAO" class="arg.ros.acc.daos.zonaoficina.impl.ZoNAOFICINAPFNNIBatisDAOImpl" parent="iBatisBaseDaoTemplate" />
	<bean id="feNROABONHABILITADOSDAO" class="arg.ros.acc.daos.zonaoficina.impl.FeNROABONHABILITADOSIBatisDAOImpl" parent="iBatisBaseDaoTemplate" />
	<bean id="feTIPOSERVDAO" class="arg.ros.acc.daos.zonaoficina.impl.FeTIPOSERVIBatisDAOImpl" parent="iBatisBaseDaoTemplate" />
	
<!-- DS110398-00-001 SIMAF - Consulta de Cambio de NÃºmero por Actual-->

	  <bean id="fcOS_MISC_NUMDAO" class="arg.ros.acc.daos.numeroactual.impl.FcOS_MISC_NUMIBatisDAOImpl" parent="iBatisBaseDaoTemplate" />
	
	
<!-- DS112511-00-001 Conversión_ACMEFADEUDAS_Consulta_de_Reintegros -->
     
     <bean id="sfaFisicoReintegrosDAO" class="arg.ros.acc.daos.reintegros.impl.SfaFisicoReintegrosIBatisDAOImpl" parent="iBatisBaseDaoTemplate" />
	 <bean id="sfaMMiscelaneosFisicoDAO" class="arg.ros.acc.daos.reintegros.impl.SfaMMiscelaneosFisicoIBatisDAOImpl" parent="iBatisBaseDaoTemplate" />
     <bean id="feriadoDetalleDAO" class="arg.ros.acc.daos.feriado.impl.FeriadoDetalleIBatisDAOImpl" parent="iBatisBaseDaoTemplate" />
	<bean id="feriadoDAO" class="arg.ros.acc.daos.feriado.impl.FeriadoIBatisDAOImpl" parent="iBatisBaseDaoTemplate" />
	<bean id="profesionalDAO" class="arg.ros.acc.daos.profesional.impl.ProfesionalIBatisDAOImpl" parent="iBatisBaseDaoTemplate" />
	<bean id="contactoDAO" class="arg.ros.acc.daos.contacto.impl.ContactoIBatisDAOImpl" parent="iBatisBaseDaoTemplate" />
	<bean id="contactotipoDAO" class="arg.ros.acc.daos.contacto.impl.ContactotipoIBatisDAOImpl" parent="iBatisBaseDaoTemplate" />
	<bean id="provinciaDAO" class="arg.ros.acc.daos.provincia.impl.ProvinciaIBatisDAOImpl" parent="iBatisBaseDaoTemplate" />
	<bean id="localidadDAO" class="arg.ros.acc.daos.localidad.impl.LocalidadIBatisDAOImpl" parent="iBatisBaseDaoTemplate" />
     

</beans>
